import 'package:guru_utils/property/property.dart';


class DataViewerPropertyKeys {
  static const defaultGroup = "demo";

  static const PropertyKey globalFloatingWindow = PropertyKey.setting("global_floating_window", group: defaultGroup);
}


class AdsDebugPropertyKeys {
  static const defaultGroup = "demo";

  static const PropertyKey forceGdpr = PropertyKey.setting("force_gdpr", group: defaultGroup);

  static const PropertyKey forceGdprType =
      PropertyKey.setting("force_gdpr_type", tag: AdsDebugPropertyTags.consent, group: defaultGroup);

  static const PropertyKey consentDebugGeography = PropertyKey.setting(
      "admob_consent_debug_geography",
      tag: AdsDebugPropertyTags.consent,
      group: defaultGroup);

  static const PropertyKey latestShownFundingChoicesTime = PropertyKey.setting(
      "latest_shown_funding_choices_time",
      tag: AdsDebugPropertyTags.consent,
      group: defaultGroup);

  static const PropertyKey admobConsentTestDeviceId = PropertyKey.setting(
      "admob_consent_test_device_id",
      tag: AdsDebugPropertyTags.consent,
      group: defaultGroup);

  static const PropertyKey forcePubmatic =
      PropertyKey.setting("force_pubmatic", tag: AdsDebugPropertyTags.ads, group: defaultGroup);
  
}

class AdsDebugPropertyTags {
  static const String consent = "consent";
  static const String ads = "ads";
}